<html>
  <head>
    <title>TV Shows - Episode</title>
  </head>
  <body>
    <h1>TV Shows - Episode</h1>
<?php
$dsn = 'mysql:host=localhost;dbname=television';
$username = 'television';
$password = 'PASSWORD';
$options = array(
    PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES utf8',
); 

$dbh = new PDO($dsn, $username, $password, $options);

$result = $dbh->query("select tv_show.id as show_id,
                              tv_show.title as show_title,
                              series.id as series_id,
                              series.number as series_no,
                              episode.number as ep_no,
                              episode.title as ep_title,
                              date_format(episode.first_broadcast,
                                          '%a %e %b %Y') as broadcast
                       from   episode
                       join   series on series.id = episode.series
                       join   tv_show on tv_show.id = series.tv_show
                       where  episode.id = " . $_REQUEST['episode']);

$episode = $result->fetch();

print "<h2>". $episode['ep_title'] . "</h2>";
print "<p><a href=\"show.php?show=" . $episode['show_id'] . "\">" .
      $episode['show_title'] . "</a> <a href=\"/series.php?series=" .
      $episode['series_id'] . "\">Series " .
      $episode['series_no'] .  "</a> Episode " .
      $episode['ep_no'] . "</p>";

print "<p>First Broadcast: " . $episode['broadcast'] . "</p>";
?>
    <h3>Characters</h3>
    <ul>
<?php
$sql = "select person.id as id, person.name as name
        from episode
        join appearance on episode.id = appearance.episode
        join person on person.id = appearance.person
        where episode.id = $_REQUEST[episode]";

foreach ($dbh->query($sql) as $person) {
  print("<li><a href=\"person.php?person=" . $person['id'] . "\">" .
        $person['name'] . "</a></li>");
}

?>
    </ul>
    <p><a href="index.php">Home</a></p>
  </body>
</html>
